Bug 49161 - Touchpad broken after resume on some MacBooks
Summary: Touchpad broken after resume on some MacBooks
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/synaptics (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Peter Hutterer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-25 15:44 UTC by Christopher James Halse Rogers
Modified: 2012-06-06 19:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher James Halse Rogers 2012-04-25 15:44:00 UTC
The MacBook hardware seems to trigger some input on the touchpad on lid close, before the suspend process has kicked in.  This leaves the driver in an inconsistent state on resume, causing funky touchpad behaviour.

http://patchwork.freedesktop.org/patch/10055/ seems to mostly fix this, but apparently there's still some problem.  Testers on the Launchpad bug report that the touchpad treats single-clicks as double-clicks after 3 of 20 resumes.

cf: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/968845
cf: https://bugzilla.redhat.com/show_bug.cgi?id=814972
Comment 1 Peter Hutterer 2012-04-25 15:57:02 UTC
Fedora downstream bug: https://bugzilla.redhat.com/show_bug.cgi?id=814972
Comment 3 Peter Hutterer 2012-06-06 19:14:18 UTC
(In reply to comment #2)
> Patches required:
> 
> xserver:
>   http://patchwork.freedesktop.org/patch/10116/

xorg-server-1.12.0-125-gf3410b9, though with some side-effects that need to be resolved separately

> synaptics: 
>   http://patchwork.freedesktop.org/patch/10117/
>   http://patchwork.freedesktop.org/patch/10118/

in synaptics 1.6.0


bug/show.html.tmpl processed on Mar 29, 2017 at 11:05:13.
(provided by the Example extension).